Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Interface BlockLevelLayoutManager

All Superinterfaces:
  LayoutManager, PercentBaseContext

All Known Implementing Classes:
  BlockStackingLayoutManager, FlowLayoutManager, LineLayoutManager, TableCellLayoutManager

public interface BlockLevelLayoutManager
extends LayoutManager

The interface for LayoutManagers which generate block areas

Method Summary
`void` | `discardSpace(KnuthGlue spaceGlue)`
`Keep` | `getKeepTogether()` Returns the keep-together strength for this element.
`KeepProperty` | `getKeepTogetherProperty()` Returns the keep-together property specified on the FObj.
`Keep` | `getKeepWithNext()` Returns the keep-with-next strength for this element.
`KeepProperty` | `getKeepWithNextProperty()` Returns the keep-with-next property specified on the FObj.
`Keep` | `getKeepWithPrevious()` Returns the keep-with-previous strength for this element.
`KeepProperty` | `getKeepWithPreviousProperty()` Returns the keep-with-previous property specified on the FObj.
`boolean` | `mustKeepTogether()`
`boolean` | `mustKeepWithNext()`
`boolean` | `mustKeepWithPrevious()`
`int` | `negotiateBPDAdjustment(int adj, KnuthElement lastElement)`

Methods inherited from interface org.apache.fop.layoutmgr.LayoutManager
`addAreas, addChildArea, addChildLM, addChildLMs, createNextChildLMs, getChangedKnuthElements, getChildLMs, getContentAreaBPD, getContentAreaIPD, getFObj, getGeneratesBlockArea, getGeneratesLineArea, getGeneratesReferenceArea, getNextKnuthElements, getNextKnuthElements, getParent, getParentArea, getPSLM, initialize, isFinished, isRestartable, notifyPos, reset, setFinished, setParent`

Methods inherited from interface org.apache.fop.datatypes.PercentBaseContext
`getBaseLength`

Method Detail

### negotiateBPDAdjustment

    public int negotiateBPDAdjustment(int adj,
                                      KnuthElement lastElement)

### discardSpace

    public void discardSpace(KnuthGlue spaceGlue)

### getKeepTogether

    public Keep getKeepTogether()

  Returns the keep-together strength for this element.

  Returns:
    the keep-together strength

### mustKeepTogether

    public boolean mustKeepTogether()

  Returns:
    true if this element must be kept together

### getKeepWithPrevious

    public Keep getKeepWithPrevious()

  Returns the keep-with-previous strength for this element.

  Returns:
    the keep-with-previous strength

### mustKeepWithPrevious

    public boolean mustKeepWithPrevious()

  Returns:
    true if this element must be kept with the previous element.

### getKeepWithNext

    public Keep getKeepWithNext()

  Returns the keep-with-next strength for this element.

  Returns:
    the keep-with-next strength

### mustKeepWithNext

    public boolean mustKeepWithNext()

  Returns:
    true if this element must be kept with the next element.

### getKeepTogetherProperty

    public KeepProperty getKeepTogetherProperty()

  Returns the keep-together property specified on the FObj.

  Returns:
    the keep-together property

### getKeepWithPreviousProperty

    public KeepProperty getKeepWithPreviousProperty()

  Returns the keep-with-previous property specified on the FObj.

  Returns:
    the keep-together property

### getKeepWithNextProperty

    public KeepProperty getKeepWithNextProperty()

  Returns the keep-with-next property specified on the FObj.

  Returns:
    the keep-together property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.